var qs = require('querystring');
var formidable = require('formidable');
var exec = require('child_process').exec;
var fs = require('fs');

function start(response, request) {
    console.log("Request handler 'start' was called.");
    
    var body = '<html>'+
        '<head>'+
        '<meta http-equiv="Content-Type" content="text/html; '+
        'charset=UTF-8" />'+
        '</head>'+
        '<body>'+
        '<form action="/upload" enctype="multipart/form-data" '+
        'method="post">'+
        '<input type="file" name="upload" multiple="multiple">'+
        '<input type="submit" value="Upload file" />'+
        '</form>'+
        '</body>'+
        '</html>';
        
    response.writeHead(200, {'Content-Type' : 'text/html'})
    response.write(body);
    response.end();
}

function upload(response, request) {
	//fs.deleteSync(files.upload.path, "./test.png");
    console.log("Request handler 'upload' was called.");
    
    var form = new formidable.IncomingForm();
    console.log('about to pars')
    
    form.parse(request, function(error, fields, files) {
        console.log('parsing done')
        console.log(files.upload.path);

		//fs.renameSync("./test.png", files.upload.path+"x.png")

        fs.renameSync(files.upload.path, "./test.png")
        
        response.writeHead(200, {'Content-Type' : 'text/html'})
        response.write('received image: <br />')
        response.write("<img src='/show' />");
        response.end();
    })
    
}

function show (response, request) {
    console.log('request handler \'show\' was called...')
   
    fs.readFile("./test.png", "binary", function(error, file) {

        if (error) {
            response.writeHead(500, {
                "Content-Type": "text/plain"
            });
            response.write(error + "\n");
            response.end();
        } else {
            response.writeHead(200, {
                "Content-Type": "image/jpg"
            });
            response.write(file, "binary");
            response.end();
        }
    });
}

exports.start = start;
exports.upload = upload;
exports.show = show;


160
120
080
