function route(handle, pathname, response, request) {
    console.log("route a request for: " + pathname)
    
    if(typeof handle[pathname] == 'function') {
        handle[pathname](response, request);        
        return;
    }
    
    console.log('no request handler found for ' + pathname);
    response.writeHead(404, {"Content-Type": 'text/plain'})
    response.write('404 not found')
    response.end()
}

exports.route = route;